Bug 1174843 (kf5-sddm-kcm) - sddm-kcm kf5 port
Summary: sddm-kcm kf5 port
Keywords:
Status: CLOSED RAWHIDE
Alias: kf5-sddm-kcm
Product: Fedora
Classification: Fedora
Component: sddm-kcm
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: plasma5
TreeView+ depends on / blocked
 
Reported: 2014-12-16 15:23 UTC by Rex Dieter
Modified: 2015-03-31 13:53 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-31 13:53:07 UTC


Attachments (Terms of Use)

Description Rex Dieter 2014-12-16 15:23:56 UTC
Another plasma5 nice-to-have, a kf5 port of sddm-kcm

Comment 1 Martin Bříza 2015-01-20 08:03:21 UTC
Well, thing is, related to the other sddm-kcm bugs, only the KF5 KCM seems to be being developed in KDE git. Which is bad news because backporting of the fixes doesn't seem trivial and at the same time we can't utilize the port because we don't have KF5 kcmshell.

Comment 2 Kevin Kofler 2015-01-20 12:58:35 UTC
The main other bug (the showstopper that sddm-kcm is not working at all!) has a patch attached, it is only waiting on you to import it.

As for this bug, if there is a KF5 port in git, it should be imported into Rawhide, we are moving to Plasma 5 including its System Settings there, which is what this bug is about.

Comment 3 Daniel Vrátil 2015-01-21 13:29:59 UTC
sddm-kcm is being released in Plasma 5.2 (it's actually already in Plasma 5.1.95).

There is sddm-kcm package in Fedora already (sigh, why can't it be called kcm-sddm like all KCM packages...?), so I'm planning to update it with the rest of packages as part of Plasma 5.2 update in rawhide.

Comment 4 Rex Dieter 2015-01-21 14:11:18 UTC
We could rename it if you want.

I think the current name is historical baggage due to that being the upstream name:
https://github.com/sddm/sddm-kcm/

Comment 5 Rex Dieter 2015-01-21 14:12:10 UTC
Apparently that's still the name used now,
https://projects.kde.org/projects/kde/workspace/sddm-kcm

Comment 6 Jaroslav Reznik 2015-03-03 16:37:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 7 Rex Dieter 2015-03-30 13:10:34 UTC
Looks like this is now included in plasma-5.2.2

Comment 8 Kevin Kofler 2015-03-30 19:55:36 UTC
In that case, the Obsoletes/Provides for a proper upgrade path is missing.

Comment 9 Rex Dieter 2015-03-31 13:39:13 UTC
huh?  the package is named the same as before, sddm-kcm,
http://pkgs.fedoraproject.org/cgit/sddm-kcm.git/

am I missing something?

Comment 10 Kevin Kofler 2015-03-31 13:53:07 UTC
Ah, right. I misunderstood the statement that "this is now included in plasma-5.2.2". I thought you meant it is included in the plasma-desktop or plasma-workspace tarball, but actually it is a separate tarball included in the set of tarballs also named Plasma.

This new upstream naming scheme is really confusing. :-(


Note You need to log in before you can comment on or make changes to this bug.